Eclipse Platform Release 3.7

## org.eclipse.jface.action
Class AbstractGroupMarker

    java.lang.Object
      org.eclipse.jface.action.ContributionItem
          org.eclipse.jface.action.AbstractGroupMarker

All Implemented Interfaces:
  IContributionItem

Direct Known Subclasses:
  GroupMarker, Separator

    public abstract class AbstractGroupMarker

extends ContributionItem

Abstract superclass for group marker classes.

This class is not intended to be subclassed outside the framework.

Restriction:
  This class is not intended to be subclassed by clients.

Constructor Summary
`protected` `AbstractGroupMarker()` Constructor for use by subclasses.
`protected` `AbstractGroupMarker(String groupName)` Create a new group marker with the given name.

Method Summary
`String` `getGroupName()` Returns the group name.
`boolean` `isGroupMarker()` The `AbstractGroupMarker` implementation of this `IContributionItem` method returns `true` iff the id is not `null`.

Methods inherited from class org.eclipse.jface.action.ContributionItem
`dispose, fill, fill, fill, fill, getId, getParent, isDirty, isDynamic, isEnabled, isSeparator, isVisible, saveWidgetState, setId, setParent, setVisible, toString, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractGroupMarker

    protected AbstractGroupMarker()

  Constructor for use by subclasses.

### AbstractGroupMarker

    protected AbstractGroupMarker(String groupName)

  Create a new group marker with the given name. The group name must not be `null` or the empty string. The group name is also used as the item id.

  Parameters:
    `groupName` - the name of the group

Method Detail

### getGroupName

    public String getGroupName()

  Returns the group name.

  Returns:
    the group name

### isGroupMarker

    public boolean isGroupMarker()

  The `AbstractGroupMarker` implementation of this `IContributionItem` method returns `true` iff the id is not `null`. Subclasses may override.

  Specified by:
    `isGroupMarker` in interface `IContributionItem`
  Overrides:
    `isGroupMarker` in class `ContributionItem`
  Returns:
    `true` if this item is a group marker, and `false` for normal items
  See Also:
    `GroupMarker`, `IContributionManager.appendToGroup(String, IContributionItem)`, `IContributionManager.prependToGroup(String, IContributionItem)`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.